Summary: NFS server daemons
Name: nfs-server
Version: 2.2beta16
Release: 7
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://ftp.mathematik.th-darmstadt.de/pub/linux/okir/nfs-server-2.2beta16.tar.gz
Source1: nfs.init
Source2: exportfs
Patch: ftp://ftp.azstarnet.com/pub/linux/axp/nfs-server-2.2beta16axp.patch.gz
BuildRoot: /tmp/nfs
Patch1: nfs-server-2.2beta16axp-2.patch  
Patch2: nfs-server-2.2beta16-rmtabperm.patch
Patch3: nfs-server-2.2beta16-glibc.patch
Requires: portmap

%description
The NFS and mount daemons are used to create an NFS server which
can export filesystems to other machines.  This package is not
needed to mount NFS filesystems -- that functionality is already
in the Linux kernel.

%package clients
Summary: client apps for use with remote NFS servers
Group: Networking/Admin

%description clients
This package contains client programs that interact with NFS servers.
It is not needed to mount NFS volumes.  At the moment the only program
in it is showmount, which can be used to show exported and mounted
filesystems.

%prep
%setup

%patch -p1 -b .axp
%patch1 -p1 -b .axp1
%patch2 -p1 -b .ewt
%patch3 -p1 -b .glibc

%build
./BUILD <<..EOF..

n
n
0
0
y

..EOF..

./configure --prefix=/usr

make CFLAGS="$RPM_OPT_FLAGS" 

%install

make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

strip $RPM_BUILD_ROOT/usr/sbin/rpc.mountd
strip $RPM_BUILD_ROOT/usr/sbin/rpc.nfsd 
strip $RPM_BUILD_ROOT/usr/sbin/showmount
touch $RPM_BUILD_ROOT/etc/exports
chmod 644 $RPM_BUILD_ROOT/etc/exports

install -m755 -o root -g root $RPM_SOURCE_DIR/nfs.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S60nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S60nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K20nfs

install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/exportfs $RPM_BUILD_ROOT/usr/sbin/exportfs

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>

Fixed type in description of the clients subpackage.

%files
%doc NEWS README
%config /etc/exports

%config /etc/rc.d/init.d/nfs
%config /etc/rc.d/rc0.d/K20nfs
%config /etc/rc.d/rc1.d/K20nfs
%config /etc/rc.d/rc2.d/K20nfs
%config /etc/rc.d/rc3.d/S60nfs
%config /etc/rc.d/rc5.d/S60nfs
%config /etc/rc.d/rc6.d/K20nfs

/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/exportfs
/usr/man/man5/exports.5
/usr/man/man8/mountd.8
/usr/man/man8/nfsd.8

%files clients
/usr/sbin/showmount
/usr/man/man8/showmount.8
